#!/bin/bash

###################################################
#	@autor: Catalin Costin Stanciu
#	@email: catalin.stanciu@dialapplet.com
#
#
#	@description: the script configure php for dialapplet
#
###################################################

zendroute="/usr/lib/zend/ZendGuardLoader.so" # check if its correct because in zend 3.3.3 is called ZendOptimizer.so
replacescript="."


function usage()
{
	echo
	echo "$0  ROUTE/TO/FILE {-r | -o |-a }" 
	echo " -r :  required configuration"
	echo " -o :  optional configuration"
	echo " -a :  required and optional configuration" 
}

function configure_required()
{
	$replacescript/replace.sh -vn output_buffering  -v 32000 -f $1 -y	#output_buffering = 32000
	$replacescript/replace.sh -vn upload_max_filesize  -v 8M -f $1 -y	#upload_max_filesize = 8M

	$replacescript/replace.sh -vn zend_extension  -v $zendroute -f $1 -y	#zend_extension=/usr/lib/zend/ZendGuardLoader.so
	$replacescript/replace.sh -vn zend_loader.enable  -v 1 -f $1 -y		#zend_loader.enable=1
	

}

function configure_optional()
{


	$replacescript/replace.sh -vn "display_errors"  -v "On" -f $1 -y				#display_errors = On
	$replacescript/replace.sh -vn "error_reporting"  -v "E_ALL & ~E_NOTICE" -f $1 -y		#error_reporting = E_ALL & ~E_NOTICE
	$replacescript/replace.sh -vn "max_execution_time"  -v "120" -f $1 -y				#max_execution_time = 120
	$replacescript/replace.sh -vn "date.timezone"  -v "CET" -f $1 -y				#date.timezone = CET
	$replacescript/replace.sh -vn "short_open_tag"  -v "On" -f $1 -y				#short_open_tag = On

}

if [ $# -ne 2 ]
then
	usage
fi



if [ -f $1 ]; then

	FILE=$1
	shift;

	case $1  in
		"-r")
			configure_required $FILE
			
			;;
		"-o")
			configure_optional $FILE

			;;
		"-a")
			configure_required $FILE
			configure_optional $FILE
			;;
	      	*)
	      		usage
	      		exit 0;
			;;
	esac
	
else

	echo "File \"$1\" does not exist or it's not a regular file."
	exit 0
fi




