#!/bin/bash

###################################################
#	@autor: Catalin Costin Stanciu
#	@email: catalin.stanciu@dialapplet.com
#
#
#	@description: the script change the value of a varible from a configuration file inf format VAR = VALUE
#
###################################################


###########################################
# Default values
###########################################
FILE=""
varname=""
varvalue=""

setfile=false
setvarname=false
setvarvalue=false
yes=false
verbose=true

###########################################


function usage()
{
	echo "$0 -vn VARIABLE -v NEW_VALUE -f FILE "
}

function appendtofile()
{
	
	
	echo "$varname = $varvalue" >> $FILE
	if [ $verbose == true ]; then
		echo "$varname = $varvalue append at the end of file \"$FILE\""
	fi

}


if [ $# -lt 6 ]
then
	usage
fi

while (( "$#" )); do

	case $1 in
		"-vn")
			if [ $setvarname == true ]; then
				usage
				exit 0;
			else
				shift;
				setvarname=true
				varname=$1
			fi
			
			;;
		"-v")
			if [ $setvarvalue == true ]; then
				usage
				exit 0;
			else
				shift;
				setvarvalue=true
				varvalue=$1
			fi

			;;
		"-f")
			if [ $setfile == true ]; then
				usage
				exit 0;
			else
				shift;
				setfile=true
				FILE=$1
			fi
			;;
		"-y")

			if [ $yes == true ]; then
				usage
				exit 0;
			else
				yes=true;
			fi
			;;
		"-nv")

			verbose=false;


			
			;;
	      	*)
	      		usage
	      		exit 0;
			;;
	esac
	
	
	shift


done

varexist=$(cat $FILE | grep -e "^[\t ]*$varname[\t ]*=[\t ]*.*")



if [ "$varexist" == "" ]; then
	if [ $yes == true ]; then
		appendtofile
	else
		echo "Variable \"$varname\" does not exist in \"$FILE\""
		echo "Do you want to added at the end of file $FILE ? (y/n)"
		read answer
		if [ "$answer" == "y" ]; then

			appendtofile
		else 
			exit 0
		fi
	fi


else
	
	if [ $verbose == true ]; then
		echo "$varexist -> $varname = $varvalue"
	fi
	varvalue=`./parsen "$varvalue"`  # change the special characters for the REGEXPR
	sed -i "s@^[\t ]*$varname[\t ]*=.*@$varname = $varvalue @g" $FILE

fi
